<?xml version="1.0" encoding="utf-8"?>
<form>
    <fieldset name="items">
        <field type="spacer" class="h2" name="rstbox-trigger-section" label="COM_RSTBOX_TRIGGER"/>
        <field name="triggermethod" type="EBTriggers" 
            label="COM_RSTBOX_ITEM_TRIGGER" 
            description="COM_RSTBOX_ITEM_TRIGGER_DESC"
            default="pageload"
        />
        <field name="early_trigger" type="nrtoggle"
            label="COM_RSTBOX_ITEM_EARLY_TRIGGER"
            description="COM_RSTBOX_ITEM_EARLY_TRIGGER_DESC"
            showon="triggermethod:pageload"
            default="0"
        />
        
        <field type="spacer" class="h2" name="rstbox-spacer-line-impressions" label="COM_RSTBOX_OPENING_BEHAVIOR"/>
        
        
        <field name="@assign_impressions" type="nr_pro"
            label="COM_RSTBOX_ASSIGN_IMPRESSIONS_LIMIT"
            description="COM_RSTBOX_ASSIGN_IMPRESSIONS_LIMIT_DESC"
            url="https://www.tassos.gr/joomla-extensions/engagebox/"
        />
        <field name="@opening_sound" type="nr_pro"
            label="COM_RSTBOX_OPENING_SOUND"
            description="COM_RSTBOX_OPENING_SOUND_DESC"
            url="https://www.tassos.gr/joomla-extensions/engagebox/"
        />
        

        <field type="spacer" class="h2" name="ebox-accessibility" label="COM_ENGAGEBOX_ACCESSIBILITY"/>
        
        
        <field name="@autofocus" type="nr_pro"
            label="COM_ENGAGEBOX_AUTO_FOCUS"
            description="COM_ENGAGEBOX_AUTO_FOCUS_DESC"
            url="https://www.tassos.gr/joomla-extensions/engagebox/"
        />
        <field name="@close_on_esc" type="nr_pro"
            label="COM_ENGAGEBOX_CLOSE_ON_ESC"
            description="COM_ENGAGEBOX_CLOSE_ON_ESC_DESC"
            url="https://www.tassos.gr/joomla-extensions/engagebox/"
        />
        

        <field type="spacer" class="h2" name="rstbox-spacer-animation" label="COM_RSTBOX_ITEM_ANIMATION"/>
        <field name="animationin" type="ebanimationin"
            default="fadeIn"
            class="eb-hide-remove-btn"
            description="COM_RSTBOX_ITEM_ANIMATION_TRANS_IN_EFFECT"
            label="COM_RSTBOX_ITEM_ANIMATION_TRANS_IN_EFFECT_DESC"
            search_placeholder="COM_RSTBOX_SELECT_IN_TRANSITION"
        />
        <field name="animationout" type="ebanimationout" 
            default="fadeOut"
            class="eb-hide-remove-btn"
            description="COM_RSTBOX_ITEM_ANIMATION_TRANS_OUT_EFFECT"
            label="COM_RSTBOX_ITEM_ANIMATION_TRANS_OUT_EFFECT_DESC"
            search_placeholder="COM_RSTBOX_SELECT_OUT_TRANSITION"
        />
        <field name="duration" type="nrnumber" 
            default="300" 
            hint="300" 
            class="input-small"
            addon="ms"
            step="100"
            min="0"
            filter="intval"
            label="COM_RSTBOX_ANIMATION_DURATION"
            description="COM_RSTBOX_ANIMATION_DURATION_DESC">
        </field>
        <field type="spacer" class="h2" name="rstbox-spacer-line-animation" label="NR_COOKIE"/>
        <field name="cookie_row_start" type="nr_inline"
            label="COM_RSTBOX_ITEM_COOKIETYPE"
            description="COM_RSTBOX_ITEM_COOKIETYPE_DESC"
        />
        <field name="cookie" default="30" type="nrnumber"
            showon="cookietype:minutes,hours,days"
            class="input-small" 
            hiddenLabel="true"
            min="0"
            step="5"
            label="COM_RSTBOX_ITEM_COOKIE" 
            description="COM_RSTBOX_ITEM_COOKIE_DESC"
            size="6"
        />
        
        <field name="cookietype" type="list" 
            default="never"
            hiddenLabel="true"
            label="COM_RSTBOX_ITEM_COOKIETYPE"
            description="COM_RSTBOX_ITEM_COOKIETYPE_DESC">
                <option value="never">NR_NEVER</option>
                <option value="session">NR_SESSION</option>
        </field>
        
        
        <field name="cookie_row_end" type="nr_inline"
            end="1"
        />
    </fieldset>
    
</form>